
import java.util.Date
import java.text.SimpleDateFormat
plugins {
    id("com.android.application")
    id ("org.jetbrains.kotlin.android")
    id("com.google.gms.google-services")
    id("com.google.firebase.crashlytics")
}
val timestamp = SimpleDateFormat("MM_dd_HH_mm").format(Date())
android {
    namespace = "com.cake.draw.painting"
    compileSdk = 36

    defaultConfig {
        applicationId = "com.cake.draw.painting"
        minSdk = 24
        targetSdk = 36
        versionCode = 4
        versionName = "1.3"
        setProperty("archivesBaseName", "CakePainting Helper_V" + versionName + "(${versionCode})_$timestamp")
        testInstrumentationRunner = "androidx.test.runner.AndroidJUnitRunner"
    }

    buildTypes {
        release {
            isMinifyEnabled = true
            proguardFiles(
                getDefaultProguardFile("proguard-android-optimize.txt"),
                "proguard-rules.pro"
            )
        }
    }
    compileOptions {
        sourceCompatibility = JavaVersion.VERSION_1_8
        targetCompatibility = JavaVersion.VERSION_1_8
    }
    kotlinOptions {
        jvmTarget = "1.8"
    }
    buildFeatures{
        viewBinding = true
        dataBinding = true
        aidl = true
    }
}

dependencies {

    implementation("androidx.appcompat:appcompat:1.7.1")
    implementation("com.google.android.material:material:1.13.0")
    implementation("androidx.constraintlayout:constraintlayout:2.1.4")
    implementation("androidx.activity:activity:1.12.1")
    testImplementation("junit:junit:4.13.2")
    androidTestImplementation("androidx.test.ext:junit:1.1.5")
    androidTestImplementation("androidx.test.espresso:espresso-core:3.5.1")

    val camerax_version = "1.5.1"
    implementation ("androidx.camera:camera-core:${camerax_version}")
    implementation ("androidx.camera:camera-camera2:${camerax_version}")
    implementation ("androidx.camera:camera-lifecycle:${camerax_version}")
    implementation ("androidx.camera:camera-view:${camerax_version}")
    implementation ("androidx.camera:camera-extensions:${camerax_version}")

    implementation("androidx.lifecycle:lifecycle-runtime-ktx:2.6.2")
    implementation("com.google.android.gms:play-services-ads-identifier:18.0.1")
    implementation("com.google.android.gms:play-services-location:21.0.1")
    implementation("com.google.android.gms:play-services-appset:16.0.1")
    // Import the Firebase BoM
    implementation(platform("com.google.firebase:firebase-bom:34.6.0"))
    implementation("com.google.firebase:firebase-crashlytics-ndk")
    implementation("com.google.firebase:firebase-analytics")
    // okhttp
    implementation("com.squareup.okhttp3:okhttp:4.12.0")
    implementation("com.squareup.okhttp3:logging-interceptor:4.12.0")

    implementation(files("libs/magiclock-debug.aar"))

    implementation(files("libs/TradPlusLibrary_01_04_12_20-release.aar"))
    // TradPlus
    implementation("com.tradplusad:tradplus:15.2.0.1")
    implementation("androidx.legacy:legacy-support-v4:1.0.0")
    implementation("androidx.appcompat:appcompat:1.3.0-alpha02")

    // IronSource
    implementation("com.ironsource.sdk:mediationsdk:9.0.0")
    implementation("com.tradplusad:tradplus-ironsource:10.15.2.0.1")

    // Pangle
    implementation("com.tradplusad:tradplus-pangle:19.15.2.0.1")
    implementation("com.pangle.global:pag-sdk:7.8.0.7")

    // UnityAds
    implementation("com.tradplusad:tradplus-unity:5.15.2.0.1")
    implementation("com.unity3d.ads:unity-ads:4.16.3")

    // Chartboost
//    implementation("com.tradplusad:tradplus-chartboostx:15.15.2.0.1")
//    implementation("com.chartboost:chartboost-sdk:9.10.0")
//    implementation("com.google.android.gms:play-services-ads-identifier:17.0.0")
//    implementation("com.google.android.gms:play-services-base:17.4.0")


    //上面新版本下载失败用旧版本
    implementation("com.tradplusad:tradplus-chartboostx:15.14.5.0.1")
    implementation("com.chartboost:chartboost-sdk:9.8.3")
    implementation("com.google.android.gms:play-services-ads-identifier:17.0.0")
    implementation("com.google.android.gms:play-services-base:17.4.0")

    // InMobi
    implementation("com.tradplusad:tradplus-inmobix:23.15.2.0.1")
    implementation("com.inmobi.monetization:inmobi-ads-kotlin:11.0.0")
    implementation("com.squareup.okhttp3:okhttp:3.14.9")
    implementation("org.jetbrains.kotlinx:kotlinx-coroutines-android:1.6.4")
    implementation("androidx.core:core-ktx:1.5.0")
    implementation("org.jetbrains.kotlin:kotlin-stdlib:1.9.0")

    implementation("com.google.android.gms:play-services-ads-identifier:18.0.1")
    implementation("com.google.android.gms:play-services-location:21.0.1") // optional
    implementation("androidx.browser:browser:1.8.0")
    implementation("com.squareup.picasso:picasso:2.8")
    implementation("androidx.viewpager:viewpager:1.0.0")
    implementation("androidx.recyclerview:recyclerview:1.2.1")

    // Fyber
    implementation("com.fyber:marketplace-sdk:8.4.0")
    implementation("com.tradplusad:tradplus-fyber:24.15.2.0.1")
    implementation("com.google.android.gms:play-services-ads-identifier:17.0.0")
    implementation("com.google.android.gms:play-services-base:17.4.0")

    // Mintegral
    implementation("com.tradplusad:tradplus-mintegralx_overseas:18.15.2.0.1")
    implementation("androidx.recyclerview:recyclerview:1.1.0")
    implementation("com.mbridge.msdk.oversea:mbridge_android_sdk:16.10.11")

    // Liftoff (Vungle)
    implementation("com.tradplusad:tradplus-vunglex:7.15.2.0.1")
    implementation("com.vungle:vungle-ads:7.6.0")

    // Bigo
    implementation("com.bigossp:bigo-ads:5.5.2")
    implementation("com.tradplusad:tradplus-bigo:57.15.2.0.1")

    // Cross Promotion
    implementation("com.tradplusad:tradplus-crosspromotion:27.15.2.0.1")

    // TP Exchange（注意与主包版本同步）
    implementation("com.google.code.gson:gson:2.8.6")
    implementation("com.tradplusad:tp_exchange:40.15.2.0.1")

    // Google UMP
    implementation ("com.google.android.ump:user-messaging-platform:3.2.0")
}